# $Revision: 1.58 $, $Date: 2007-03-10 15:03:51 $
#
%bcond_with	modules	# build algos and modes as loadable modules
#			  (warning: ltdl has memory leaks, so it's insecure
#			   in persistent environment, e.g. apache+php)
#
Summary:	Encryption/decryption library
Summary(pl.UTF-8):	Biblioteka z funkcjami szyfrującymi oraz deszyfrującymi
Name:		libmcrypt
Version:	2.5.8
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/mcrypt/%{name}-%{version}.tar.bz2
# Source0-md5:	c4f491dd411a09e9de3b8702ea6f73eb
URL:		http://mcrypt.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_modules:BuildRequires:	libltdl-devel}
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the
following encryption (block) algorithms: BLOWFISH, DES, TripleDES,
3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH,
RC6, IDEA and GOST. The unix crypt algorithm is also included, to
allow compability with the crypt(1) command.

CBC, ECB, OFB and CFB modes of encryption are supported. A library
which allows access to the above algorithms and modes is included.

%description -l pl.UTF-8
Zamiennik dla starej uniksowej funkcji crypt(). Mcrypt używa
następujących algorytmów: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64,
SAFER-SK128, CAST-128, RC2 TEA (rozszerzona), TWOFISH, RC6, IDEA i
GOST. Uniksowy algorytm crypt także jest obsługiwany by zachować
kompatybilność z crypt(1).

%package devel
Summary:	Header files and development documentation for libmcrypt
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libmcrypt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_modules:Requires:	libltdl-devel}

%description devel
Header files and development documentation for libmcrypt.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libmcrypt.

%package static
Summary:	Encryption/decryption static library
Summary(pl.UTF-8):	Statyczna biblioteka z funkcjami szyfrującymi oraz deszyfrującymi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Encryption/decryption static library.

%description static -l pl.UTF-8
Statyczna biblioteka z funkcjami szyfrującymi oraz deszyfrującymi.

%prep
%setup -q

# only invalid libtool.m4 inclusion
rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd libltdl
%{__aclocal}
%{__autoconf}
# don't use -f here
automake -a -c --foreign
cd ..
%configure \
	--enable-static \
	--disable-libltdl \
	%{?with_modules:--enable-dynamic-loading}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS KNOWN-BUGS NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libmcrypt.so.*.*.*
%if %{with modules}
%dir %{_libdir}/libmcrypt
%attr(755,root,root) %{_libdir}/libmcrypt/*.so
%{_libdir}/libmcrypt/*.la
%endif

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/README.*
%attr(755,root,root) %{_bindir}/libmcrypt-config
%attr(755,root,root) %{_libdir}/libmcrypt.so
%{_libdir}/libmcrypt.la
%{_includedir}/mcrypt.h
# dir shared with mhash
%dir %{_includedir}/mutils
%{_includedir}/mutils/mcrypt.h
%{_aclocaldir}/libmcrypt.m4
%{_mandir}/man3/mcrypt.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmcrypt.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmcrypt.spec,v $
Revision 1.58  2007-03-10 15:03:51  qboosh
- updated to 2.5.8, removed obsolete am18 patch

Revision 1.57  2007/02/23 14:55:18  megabajt
- release 3 for rebuild

Revision 1.56  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.55  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.54  2005/05/06 11:27:55  qboosh
- strict internal deps

Revision 1.53  2004/10/29 14:13:47  paladine
- unifications

Revision 1.52  2004/10/24 12:04:04  paladine
- spelling fix

Revision 1.51  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.50  2003/12/28 12:07:12  qboosh
- added am18 patch (libmcrypt.m4 quotation fix)
- added URL, updated Source0 URL, fixed build with am 1.8, more docs
- release 2

Revision 1.49  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.48  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/03/11 10:23:33  trojan
- updated to 2.5.7

Revision 1.45  2003/02/14 09:19:49  trojan
- updated to 2.5.6

Revision 1.44  2003/01/04 16:00:10  qboosh
- SECURITY update to 2.5.5 (buffer overflows)
- no dynamic modules by default (because of memory leaks in ltdl)

Revision 1.43  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.42  2002/11/25 14:16:56  ankry
- massive attack: no need for 755 for *.la

Revision 1.41  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.39  2002/05/21 23:13:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/02/02 09:04:39  kloczek
- updated to 2.4.22 (bugfix release).

Revision 1.34  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2002/01/13 23:42:32  kloczek
- updated to 2.4.19 (bugfix release).

Revision 1.32  2001/12/14 04:04:20  kloczek
- release 2.

Revision 1.31  2001/12/01 13:05:50  misiek
- devel subpackage R: libltdl-devel

Revision 1.30  2001/11/17 07:24:45  kloczek
- updated to 2.4.18.

Revision 1.29  2001/10/06 21:11:20  kloczek
- updated to 2.4.17.

Revision 1.28  2001/10/01 10:11:26  malekith
- moved *.la files from -devel, they are needed to make mcrypt run
- rel 2, stbr

Revision 1.27  2001/09/14 05:14:31  kloczek
- updated to 2.4.16.

Revision 1.26  2001/06/15 23:18:40  kloczek
- release 2: added missing %%{_bindir}/libmcrypt-config to devel.

Revision 1.25  2001/06/10 23:42:33  kloczek
- added aclocal macros to devel.

Revision 1.24  2001/06/10 23:39:09  kloczek
- updated to 2.4.15.

Revision 1.23  2001/05/03 07:27:03  kloczek
- updated to 2.4.11.

Revision 1.22  2001/03/20 12:40:18  mis
- updated (by autoup) to 2.4.10

Revision 1.21  2001/03/14 20:07:58  kloczek
- release 2.

Revision 1.20  2001/03/14 17:42:31  qboosh
- missing dir: %%{_libdir}/libmcrypt
- moved *.la to devel package

Revision 1.19  2001/02/04 17:37:09  kloczek
- updated to 2.4.9.

Revision 1.18  2001/01/22 18:45:05  mis
- updated to 2.4.7

Revision 1.17  2000/10/30 19:20:16  kloczek
- updated to 2.4.6.

Revision 1.16  2000/10/24 13:30:45  mis
- updated to 2.4.5

Revision 1.15  2000/10/02 10:51:00  kloczek
- release 3: added using rpm new automation suit.

Revision 1.14  2000/09/09 02:35:24  kloczek
- release 2.

Revision 1.13  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.10  2000/05/18 14:00:06  kloczek
- updated to 2.4.4.

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/30 01:05:30  kloczek
- updated to 2.4.0.

Revision 1.7  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.6  2000/02/15 16:55:01  kloczek
- updated to 2.3.0.

Revision 1.5  1999/11/06 07:05:22  kloczek
- fixed %doc file list.

Revision 1.4  1999/11/06 06:56:45  kloczek
- updated to 2.2.4.

Revision 1.3  1999/08/02 11:45:02  kloczek
- typo.

Revision 1.2  1999/08/02 11:30:12  kloczek
- removed "Prereq: /sbin/ldconfig" (this is generated automaticaly by
  "-p /sbin/ldconfi" in %post{un},
- added devel subpackage,
- removed SONAME links,
- moved all %doc to devel,
- added --strip-unneeded on stripping shared libraries,
- Group in main changedd to Libraries.

Revision 1.1  1999/08/02 10:11:30  misiek
update/new specs
